Package com.oracle.nosql.spring.data.repository.config

# Annotation Interface EnableReactiveNosqlRepositories

@Target(TYPE) @Retention(RUNTIME) @Documented @Inherited @Import(ReactiveNosqlRepositoriesRegistrar.class) public @interface EnableReactiveNosqlRepositories

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `Class<?>[]`
  `basePackageClasses`
  `String[]`
  `basePackages`
  `boolean`
  `considerNestedRepositories`
  `org.springframework.context.annotation.ComponentScan.Filter[]`
  `excludeFilters`
  `org.springframework.context.annotation.ComponentScan.Filter[]`
  `includeFilters`
  `String`
  `namedQueriesLocation`
  `org.springframework.data.repository.query.QueryLookupStrategy.Key`
  `queryLookupStrategy`
  `Class<?>`
  `repositoryBaseClass`
  `Class<?>`
  `repositoryFactoryBeanClass`
  `String`
  `repositoryImplementationPostfix`
  `String[]`
  `value`

- ## Element Details

  - ### value

    String[] value
    Default:
      `{}`

  - ### basePackages

    String[] basePackages
    Default:
      `{}`

  - ### basePackageClasses

    Class<?>[] basePackageClasses
    Default:
      `{}`

  - ### includeFilters

    org.springframework.context.annotation.ComponentScan.Filter[] includeFilters
    Default:
      `{}`

  - ### excludeFilters

    org.springframework.context.annotation.ComponentScan.Filter[] excludeFilters
    Default:
      `{}`

  - ### repositoryImplementationPostfix

    String repositoryImplementationPostfix
    Default:
      `"Impl"`

  - ### namedQueriesLocation

    String namedQueriesLocation
    Default:
      `""`

  - ### queryLookupStrategy

    org.springframework.data.repository.query.QueryLookupStrategy.Key queryLookupStrategy
    Default:
      `CREATE_IF_NOT_FOUND`

  - ### repositoryFactoryBeanClass

    Class<?> repositoryFactoryBeanClass
    Default:
      `com.oracle.nosql.spring.data.repository.support.ReactiveNosqlRepositoryFactoryBean.class`

  - ### repositoryBaseClass

    Class<?> repositoryBaseClass
    Default:
      `org.springframework.data.repository.config.DefaultRepositoryBaseClass.class`

  - ### considerNestedRepositories

    boolean considerNestedRepositories
    Default:
      `false`